
#include "Pays.h"

#include <iostream>
#include <iomanip>
#include "getio.h"

using namespace std;

void Pays::saisie(ifstream &in) {
	getline(in, Region, ';');
	getline(in, Nom, ';');
	
	getfloat(in, Population, ';');
	getfloat(in, Area, ';');
}

void Pays::affichage() {
	// format(Region, 10);
	format(Nom, 20);
	cout << setprecision(10);
	format(Population, 10);
	format(Area, 10);
	// << setprecision(10) << Population << " " << Area;
}